Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.util.normalize.output.zaxis
Class OutputFieldZAxisSynthetic

    java.lang.Object
      org.encog.util.normalize.output.BasicOutputField
          org.encog.util.normalize.output.OutputFieldGrouped
              org.encog.util.normalize.output.zaxis.OutputFieldZAxisSynthetic

All Implemented Interfaces:
  Serializable, OutputField

    public class OutputFieldZAxisSynthetic

extends OutputFieldGrouped

This field represents the synthetic value used in Z-Axis normalization. For more information see the OutputFieldZAxis class.

See Also:
  Serialized Form

Constructor Summary
`OutputFieldZAxisSynthetic(OutputFieldGroup group)` Construct a synthetic output field for Z-Axis.

Method Summary
`double` | `calculate(int subfield)` Calculate the synthetic value for this Z-Axis normalization.
`int` | `getSubfieldCount()`
`void` | `rowInit()` Not needed for this sort of output field.

Methods inherited from class org.encog.util.normalize.output.OutputFieldGrouped
`getGroup, getSourceField`

Methods inherited from class org.encog.util.normalize.output.BasicOutputField
`isIdeal, setIdeal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFieldZAxisSynthetic

    public OutputFieldZAxisSynthetic(OutputFieldGroup group)

  Construct a synthetic output field for Z-Axis.

  Parameters:
    `group` - The Z-Axis group that this belongs to.

Method Detail

### calculate

    public double calculate(int subfield)

  Calculate the synthetic value for this Z-Axis normalization.

  Parameters:
    `subfield` - Not used.
  Returns:
    The calculated value.

### getSubfieldCount

    public int getSubfieldCount()

  Returns:
    The subfield count, which is one, as this field type does not have subfields.

### rowInit

    public void rowInit()

  Not needed for this sort of output field.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.